# SQL Manager 2005 for MySQL 3.7.7.1
# ---------------------------------------
# Host     : gm.smidsrod.lan
# Port     : 3306
# Database : coblog


SET NAMES "utf8";
SET FOREIGN_KEY_CHECKS=0;

DROP DATABASE IF EXISTS coblog;

CREATE DATABASE coblog
    CHARACTER SET 'utf8'
    COLLATE 'utf8_general_ci';

USE coblog;

#
# Structure for the rticle table : 
#

DROP TABLE IF EXISTS article;

CREATE TABLE article (
  id int(11) NOT NULL auto_increment,
  title varchar(100) NOT NULL,
  content text NOT NULL,
  updated timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  updated_by int(11) NOT NULL,
  PRIMARY KEY  (id),
  KEY updated_by (updated_by),
  KEY updated (updated),
  FULLTEXT KEY search (title,content)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#
# Structure for the rticle_keywords table : 
#

DROP TABLE IF EXISTS article_keywords;

CREATE TABLE article_keywords (
  article_id int(11) NOT NULL,
  keyword varchar(50) NOT NULL,
  PRIMARY KEY  (article_id,keyword)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#
# Structure for the uthor table : 
#

DROP TABLE IF EXISTS author;

CREATE TABLE author (
  id int(11) NOT NULL auto_increment,
  username varchar(20) NOT NULL,
  password varchar(50) NOT NULL,
  email varchar(50) NOT NULL,
  firstname varchar(50) default NULL,
  lastname varchar(50) default NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY username (username),
  UNIQUE KEY email (email)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
