package CoBlog::Controller::Admin;

use strict;
use warnings;
use base 'Catalyst::Controller';

=head1 NAME

CoBlog::Controller::Admin - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index 

=cut

sub index : Private {
    my ( $self, $c ) = @_;

    $c->stash->{template} = 'admin/index.tt2';
}

=head2 auto

=cut

sub auto : Private {
    my ( $self, $c ) = @_;

    # If a user doesn't exist, force login
    if (!$c->user_exists) {

        # Store where we were going, so we can return to that place after login
        my $redirect=$c->flash->{redirect};
        if ( $redirect ) {
            $c->flash->{redirect}=$redirect;
        }
        else {
            $c->flash->{redirect}=$c->request->uri;
        }

        # Redirect the user to the login page
        $c->response->redirect($c->uri_for('/login'));

        # Return 0 to cancel 'post-auto' processing and prevent use of application
        return 0;

    }

    return 1; # Everything OK
}


=head1 AUTHOR

Robin Smidsrød,,,

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
