package CoBlog::Controller::Root;

use strict;
use warnings;
use base 'Catalyst::Controller';

#
# Sets the actions in this controller to be registered with no prefix
# so they function identically to actions created in MyApp.pm
#
__PACKAGE__->config->{namespace} = '';

=head1 NAME

CoBlog::Controller::Root - Root Controller for CoBlog

=head1 DESCRIPTION

[enter your description here]

=head1 METHODS

=cut

=head2 auto

=cut

sub auto : Private {
    my ( $self, $c ) = @_;

    push @{ $c->stash->{menu_items} },
             { uri => $c->uri_for('/'), title => 'Front page' },
    ;
    
    if ( $c->user_exists ) {
        push @{ $c->stash->{menu_items} },
             { uri => $c->uri_for('/logout'), title => 'Logout' },
             { uri => $c->uri_for('/admin/article'), title => 'Articles' },
             { uri => $c->uri_for('/admin/author'),  title => 'Authors' };
    }
    else {
        push @{ $c->stash->{menu_items} },
             { uri => $c->uri_for('/login'), title => 'Login' };
    }

    return 1; # Everything OK
}

=head2 login

Login logic

=cut

sub login : Local {
    my ($self, $c) = @_;

    # Get the username and password from form
    my $username = $c->request->params->{username} || "";
    my $password = $c->request->params->{password} || "";

#    use Data::Dumper;
#    $c->log->debug(Dumper($c->flash));

    # If the username and password values were found in form
    if ($username && $password) {
        # Attempt to log the user in
        if ($c->login($username, $password)) {

            # If successful, redirect to where they asked for, or back to the start page
            $c->response->redirect( $c->flash->{redirect} || $c->uri_for('/') );

            return;
        } else {
            # Set an error message
            $c->stash->{error_msg} = "Bad username or password.";
        }
    }
    else {
        # If either of above don't work out, send to the login page
        $c->stash->{template} = 'login.tt2';
    }
}

=head2 logout

Logout logic

=cut

sub logout : Local {
    my ($self, $c) = @_;

    # Clear the user's state
    $c->logout;

    # Send the user to the starting point
    $c->response->redirect($c->uri_for('/'));
}

=head2 default

=cut

sub default : Private {
    my ( $self, $c ) = @_;

    # Redirect to article list
    $c->response->redirect($c->uri_for('/article'));
}

=head2 end

Attempt to render a view, if needed.

=cut 

sub end : ActionClass('RenderView') {}

=head1 AUTHOR

Robin Smidsrød,,,

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
