package CoBlog::Model::CoBlogDB;

use strict;
use base 'Catalyst::Model::DBIC::Schema';

# Allow env variables during testing
my $dsn=$ENV{COBLOG_DSN} || 'dbi:mysql:coblog';
my $user=$ENV{COBLOG_USER} || 'coblog';
my $pass=$ENV{COBLOG_PASS} || 'dilbert';

__PACKAGE__->config(
    schema_class => 'CoBlogDB',
    connect_info => [
        $dsn,
        $user,
        $pass,
        
    ],
);

=head1 NAME

CoBlog::Model::CoBlogDB - Catalyst DBIC Schema Model
=head1 SYNOPSIS

See L<CoBlog>

=head1 DESCRIPTION

L<Catalyst::Model::DBIC::Schema> Model using schema L<CoBlogDB>

=head1 AUTHOR

Robin Smidsrød,,,

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
